;;; ucs-hangul-compat.el --- UCS table of Hangul Compatibility Jamo

;; Copyright (C) 1998 MORIOKA Tomohiko.

;; Author: MORIOKA Tomohiko <morioka@jaist.ac.jp>
;; Keywords: ISO/IEC 10646, Unicode, charset, MULE,
;;           Hangul Compatibility Jamo

;; This file is part of XEmacs-UCS.

;; XEmacs-UCS is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published
;; by the Free Software Foundation; either version 2, or (at your
;; option) any later version.

;; XEmacs-UCS is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with XEmacs; see the file COPYING.  If not, write to the Free
;; Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
;; 02111-1307, USA.

;;; Code:

(require 'ucs-util)

(ucs-set-char #x3131 ?$(C$!(B) ; KS0-C-2421
(ucs-set-char #x3132 ?$(C$"(B) ; KS0-C-2422
(ucs-set-char #x3133 ?$(C$#(B) ; KS0-C-2423
(ucs-set-char #x3134 ?$(C$$(B) ; KS0-C-2424
(ucs-set-char #x3135 ?$(C$%(B) ; KS0-C-2425
(ucs-set-char #x3136 ?$(C$&(B) ; KS0-C-2426
(ucs-set-char #x3137 ?$(C$'(B) ; KS0-C-2427
(ucs-set-char #x3138 ?$(C$((B) ; KS0-C-2428
(ucs-set-char #x3139 ?$(C$)(B) ; KS0-C-2429
(ucs-set-char #x313A ?$(C$*(B) ; KS0-C-242A
(ucs-set-char #x313B ?$(C$+(B) ; KS0-C-242B
(ucs-set-char #x313C ?$(C$,(B) ; KS0-C-242C
(ucs-set-char #x313D ?$(C$-(B) ; KS0-C-242D
(ucs-set-char #x313E ?$(C$.(B) ; KS0-C-242E
(ucs-set-char #x313F ?$(C$/(B) ; KS0-C-242F
(ucs-set-char #x3140 ?$(C$0(B) ; KS0-C-2430
(ucs-set-char #x3141 ?$(C$1(B) ; KS0-C-2431
(ucs-set-char #x3142 ?$(C$2(B) ; KS0-C-2432
(ucs-set-char #x3143 ?$(C$3(B) ; KS0-C-2433
(ucs-set-char #x3144 ?$(C$4(B) ; KS0-C-2434
(ucs-set-char #x3145 ?$(C$5(B) ; KS0-C-2435
(ucs-set-char #x3146 ?$(C$6(B) ; KS0-C-2436
(ucs-set-char #x3147 ?$(C$7(B) ; KS0-C-2437
(ucs-set-char #x3148 ?$(C$8(B) ; KS0-C-2438
(ucs-set-char #x3149 ?$(C$9(B) ; KS0-C-2439
(ucs-set-char #x314A ?$(C$:(B) ; KS0-C-243A
(ucs-set-char #x314B ?$(C$;(B) ; KS0-C-243B
(ucs-set-char #x314C ?$(C$<(B) ; KS0-C-243C
(ucs-set-char #x314D ?$(C$=(B) ; KS0-C-243D
(ucs-set-char #x314E ?$(C$>(B) ; KS0-C-243E
(ucs-set-char #x314F ?$(C$?(B) ; KS0-C-243F
(ucs-set-char #x3150 ?$(C$@(B) ; KS0-C-2440
(ucs-set-char #x3151 ?$(C$A(B) ; KS0-C-2441
(ucs-set-char #x3152 ?$(C$B(B) ; KS0-C-2442
(ucs-set-char #x3153 ?$(C$C(B) ; KS0-C-2443
(ucs-set-char #x3154 ?$(C$D(B) ; KS0-C-2444
(ucs-set-char #x3155 ?$(C$E(B) ; KS0-C-2445
(ucs-set-char #x3156 ?$(C$F(B) ; KS0-C-2446
(ucs-set-char #x3157 ?$(C$G(B) ; KS0-C-2447
(ucs-set-char #x3158 ?$(C$H(B) ; KS0-C-2448
(ucs-set-char #x3159 ?$(C$I(B) ; KS0-C-2449
(ucs-set-char #x315A ?$(C$J(B) ; KS0-C-244A
(ucs-set-char #x315B ?$(C$K(B) ; KS0-C-244B
(ucs-set-char #x315C ?$(C$L(B) ; KS0-C-244C
(ucs-set-char #x315D ?$(C$M(B) ; KS0-C-244D
(ucs-set-char #x315E ?$(C$N(B) ; KS0-C-244E
(ucs-set-char #x315F ?$(C$O(B) ; KS0-C-244F
(ucs-set-char #x3160 ?$(C$P(B) ; KS0-C-2450
(ucs-set-char #x3161 ?$(C$Q(B) ; KS0-C-2451
(ucs-set-char #x3162 ?$(C$R(B) ; KS0-C-2452
(ucs-set-char #x3163 ?$(C$S(B) ; KS0-C-2453
(ucs-set-char #x3164 ?$(C$T(B) ; KS0-C-2454
(ucs-set-char #x3165 ?$(C$U(B) ; KS0-C-2455
(ucs-set-char #x3166 ?$(C$V(B) ; KS0-C-2456
(ucs-set-char #x3167 ?$(C$W(B) ; KS0-C-2457
(ucs-set-char #x3168 ?$(C$X(B) ; KS0-C-2458
(ucs-set-char #x3169 ?$(C$Y(B) ; KS0-C-2459
(ucs-set-char #x316A ?$(C$Z(B) ; KS0-C-245A
(ucs-set-char #x316B ?$(C$[(B) ; KS0-C-245B
(ucs-set-char #x316C ?$(C$\(B) ; KS0-C-245C
(ucs-set-char #x316D ?$(C$](B) ; KS0-C-245D
(ucs-set-char #x316E ?$(C$^(B) ; KS0-C-245E
(ucs-set-char #x316F ?$(C$_(B) ; KS0-C-245F
(ucs-set-char #x3170 ?$(C$`(B) ; KS0-C-2460
(ucs-set-char #x3171 ?$(C$a(B) ; KS0-C-2461
(ucs-set-char #x3172 ?$(C$b(B) ; KS0-C-2462
(ucs-set-char #x3173 ?$(C$c(B) ; KS0-C-2463
(ucs-set-char #x3174 ?$(C$d(B) ; KS0-C-2464
(ucs-set-char #x3175 ?$(C$e(B) ; KS0-C-2465
(ucs-set-char #x3176 ?$(C$f(B) ; KS0-C-2466
(ucs-set-char #x3177 ?$(C$g(B) ; KS0-C-2467
(ucs-set-char #x3178 ?$(C$h(B) ; KS0-C-2468
(ucs-set-char #x3179 ?$(C$i(B) ; KS0-C-2469
(ucs-set-char #x317A ?$(C$j(B) ; KS0-C-246A
(ucs-set-char #x317B ?$(C$k(B) ; KS0-C-246B
(ucs-set-char #x317C ?$(C$l(B) ; KS0-C-246C
(ucs-set-char #x317D ?$(C$m(B) ; KS0-C-246D
(ucs-set-char #x317E ?$(C$n(B) ; KS0-C-246E
(ucs-set-char #x317F ?$(C$o(B) ; KS0-C-246F
(ucs-set-char #x3180 ?$(C$p(B) ; KS0-C-2470
(ucs-set-char #x3181 ?$(C$q(B) ; KS0-C-2471
(ucs-set-char #x3182 ?$(C$r(B) ; KS0-C-2472
(ucs-set-char #x3183 ?$(C$s(B) ; KS0-C-2473
(ucs-set-char #x3184 ?$(C$t(B) ; KS0-C-2474
(ucs-set-char #x3185 ?$(C$u(B) ; KS0-C-2475
(ucs-set-char #x3186 ?$(C$v(B) ; KS0-C-2476
(ucs-set-char #x3187 ?$(C$w(B) ; KS0-C-2477
(ucs-set-char #x3188 ?$(C$x(B) ; KS0-C-2478
(ucs-set-char #x3189 ?$(C$y(B) ; KS0-C-2479
(ucs-set-char #x318A ?$(C$z(B) ; KS0-C-247A
(ucs-set-char #x318B ?$(C${(B) ; KS0-C-247B
(ucs-set-char #x318C ?$(C$|(B) ; KS0-C-247C
(ucs-set-char #x318D ?$(C$}(B) ; KS0-C-247D
(ucs-set-char #x318E ?$(C$~(B) ; KS0-C-247E

;;; ucs-hangul-compat.el ends here
